.login {
  position: absolute;
  isolation: isolate;
  inset-block-start: 0;
  inset-block-end: 0;
  inset-inline-start: 0;
  display: flex;
  flex-direction: column;
  background-color: var(--brand-black-100);
  width: 100%;
  flex: 1;
  max-width: 36rem;
  /* 24 - 72px | 480 - 1600px */
  padding: clamp(var(--imutable-outer-margin), 0.214rem + 4.29vw, 4.5rem);
  z-index: 1;
  overflow: auto;
  text-align: start;
}

.login a {
  color: var(--brand-white);
}

.login-wrapper {
  position: relative;
  display: flex;
  flex-direction: column;
}

.login-switch {
  margin-block: var(--fluid-space-40-72);
  display: block;
  width: 100%;
}

.login-background {
  position: fixed;
  inset: 0;
  isolation: isolate;
  width: 100%;
  height: calc(100% + var(--header-height));
  display: grid;
  grid-template-columns: 1fr;
  grid-template-rows: 1fr;
  grid-template-areas: "login";
  z-index: -1;
  margin-block-start: var(--negative-header-height);
  background-color: var(--brand-black-100);
  overflow: hidden;
}

.pwd-image,
.bnk-image {
  grid-area: login;
  position: absolute;
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.pwd-image.active,
.bnk-image.active {
  opacity: 0.6;
  visibility: visible;
}

.pwd-image.hidden,
.bnk-image.hidden {
  opacity: 0;
  visibility: hidden;
  transition: opacity 0.5s ease-in-out;
}

.login-background figcaption {
  transition: opacity 0.5s ease-in-out;
}

/* media query for 0 - 81.99rem */
@media (min-width: 0) and (max-width: 81.98rem) {
  .login-background figcaption {
    display: none;
  }
}

@media (min-width: 82rem) {
  .login-background figcaption {
    grid-area: login;
    margin-block-end: 4.5rem;
    margin-block-start: auto;
    margin-inline-start: auto;
    margin-inline-end: 4.5rem;
    max-width: 39.5rem;
    font-size: 3.5rem;
    line-height: 120%;
    z-index: 2;
  }
}

input[type="text"],
input[type="email"],
input[type="password"] {
  background-color: var(--brand-white);
  border: none;
  padding: var(--fluid-space-16-24);
}

div.login-password-panel form input[type="email"],
div.login-password-panel form input[type="password"] {
  padding: var(--fluid-space-16-24);
  margin: 0;
}


.login-logo {
  /* 60 - 90px | 480 - 1600px */
  height: clamp(3.75rem, 2.946rem + 2.68vw, 5.625rem);
  /* 24 - 72px | 480 - 1600px */
  margin-block-end: clamp(1.5rem, 0.429rem + 3.57vw, 4rem);
  margin-inline-end: auto;
}

.login-logo img {
  /* 60 - 90px | 480 - 1600px */
  height: clamp(3.75rem, 2.946rem + 2.68vw, 5.625rem);
  margin-inline-end: auto;
}

.login-password-panel,
.login-bankid-panel {
  position: absolute;
  inset-block-start: 0;
  transition: all 0.5s ease-in-out;
}

.login-password-panel.active,
.login-bankid-panel.active {
  opacity: 1;
  visibility: visible;
  width: 100%;
  inset-inline-start: 0rem;
  z-index: 999999999;
}

.login-password-panel.hidden,
.login-bankid-panel.hidden {
  opacity: 0;
  visibility: hidden;
  width: 0;
  inset-inline-start: -50rem;
}

.login-password-panel fieldset,
.login-bankid-panel fieldset {
  display: flex;
  flex-direction: column;
  padding: 0;
  gap: var(--fluid-space-16-24);
  border: none;
}

.login-password-panel legend,
.login-bankid-panel legend {
  font-size: var(--fluid-text-20-24);
  margin-block-end: 0.5em;
}

.password-request {
  margin-block: 0em;
  font-family: var(--body-font);
  font-weight: 300;
  font-style: normal;
  font-size: var(--fluid-text-18-20);
  text-decoration: underline !important;
}

.pseudo-link-button {
  display: flex;
  align-items: center;
  gap: .75rem;
  margin-block-start: var(--fluid-space-16-24);
  background-color: transparent;
  border: none;
  font-family: var(--body-font);
  font-weight: 300;
  font-style: normal;
  font-size: var(--fluid-text-18-20);
  color: var(--brand-white);
  text-decoration: underline !important;
  cursor: pointer;
}

.pseudo-link-button svg {
  height: 1rem;
  transform: rotate(180deg);
}

.login-password-panel {
}

.login-bankid-panel {
}

.login-info {
  margin-block-start: 2rem;
}

.bank-id-submit {
  display: flex;
  gap: 1rem;
  align-items: center;
}

.bank-id-submit .bank-id-icon {
  display: block;
}

.bank-id-submit path {
}


.bank-id-icon path {
  fill: var(--brand-white);
}

.bank-id-submit .login-icon {
  margin-inline-start: auto;
}

.bank-id-submit svg path {
  fill: var(--brand-white);
}

.login-switch {
  display: flex;
  align-items: center;
  gap: 1rem;
}

.login-switch .login-icon {
  margin-inline-start: auto;
}

.login-submit,
.login-submit {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.login-submit svg path {
  fill: var(--button-text-color);
}


.bank-id-submit {
  background-color: #46494a;
  color: var(--brand-white);
}

.bank-id-submit:disabled {
  background-color: hsla(195, 3%, 28%, 0.25);
  cursor: not-allowed;
}